import'./../../external/@lit/reactive-element/reactive-element.js';import'./../../external/lit-html/lit-html.js';import'./../../external/lit-element/lit-element.js';import{css as r}from'./../../external/@lit/reactive-element/css-tag.js';var t=r`/**
 * Copyright Kyndryl, Inc. 2023
 */
*,
*::before,
*::after {
  box-sizing: border-box;
}

:root {
  --kd-current-breakpoint: sm;
}
@media (min-width: 42rem) {
  :root {
    --kd-current-breakpoint: md;
  }
}
@media (min-width: 74rem) {
  :root {
    --kd-current-breakpoint: lg;
  }
}
@media (min-width: 82rem) {
  :root {
    --kd-current-breakpoint: xl;
  }
}
@media (min-width: 99rem) {
  :root {
    --kd-current-breakpoint: max;
  }
}

:host {
  display: inline-block;
}

.kd-btn, .kd-btn--tertiary-destructive-outline, .kd-btn--tertiary-outline, .kd-btn--tertiary, .kd-btn--tertiary-destructive, .kd-btn--secondary-destructive-outline, .kd-btn--secondary-outline, .kd-btn--secondary, .kd-btn--secondary-destructive, .kd-btn--primary-app-destructive-outline,
.kd-btn--primary-web-destructive-outline, .kd-btn--primary-app-destructive,
.kd-btn--primary-web-destructive, .kd-btn--primary-app-outline,
.kd-btn--primary-web-outline, .kd-btn--primary-web,
.kd-btn--primary-app {
  transition: outline-color 0.2s ease-in-out, color 0.2s ease-in-out, background-color 0.2s ease-in-out;
  white-space: nowrap;
  outline: 2px solid transparent;
  outline-offset: 2px;
  border-radius: 4px;
  text-decoration: none;
  cursor: pointer;
  width: 100%;
  min-width: 96px;
  max-width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: var(--kd-font-family-secondary);
  font-size: var(--kd-font-size-body-2-sm);
  line-height: var(--kd-line-height-body-2-sm);
  font-weight: var(--kd-font-weight-regular);
  letter-spacing: var(--kd-letter-spacing-4);
}
@media (min-width: 42rem) {
  .kd-btn, .kd-btn--tertiary-destructive-outline, .kd-btn--tertiary-outline, .kd-btn--tertiary, .kd-btn--tertiary-destructive, .kd-btn--secondary-destructive-outline, .kd-btn--secondary-outline, .kd-btn--secondary, .kd-btn--secondary-destructive, .kd-btn--primary-app-destructive-outline,
  .kd-btn--primary-web-destructive-outline, .kd-btn--primary-app-destructive,
  .kd-btn--primary-web-destructive, .kd-btn--primary-app-outline,
  .kd-btn--primary-web-outline, .kd-btn--primary-web,
  .kd-btn--primary-app {
    font-size: var(--kd-font-size-body-2-md);
    line-height: var(--kd-line-height-body-2-md);
  }
}
@media (min-width: 74rem) {
  .kd-btn, .kd-btn--tertiary-destructive-outline, .kd-btn--tertiary-outline, .kd-btn--tertiary, .kd-btn--tertiary-destructive, .kd-btn--secondary-destructive-outline, .kd-btn--secondary-outline, .kd-btn--secondary, .kd-btn--secondary-destructive, .kd-btn--primary-app-destructive-outline,
  .kd-btn--primary-web-destructive-outline, .kd-btn--primary-app-destructive,
  .kd-btn--primary-web-destructive, .kd-btn--primary-app-outline,
  .kd-btn--primary-web-outline, .kd-btn--primary-web,
  .kd-btn--primary-app {
    font-size: var(--kd-font-size-body-2-lg);
    line-height: var(--kd-line-height-body-2-lg);
  }
}
@media (min-width: 82rem) {
  .kd-btn, .kd-btn--tertiary-destructive-outline, .kd-btn--tertiary-outline, .kd-btn--tertiary, .kd-btn--tertiary-destructive, .kd-btn--secondary-destructive-outline, .kd-btn--secondary-outline, .kd-btn--secondary, .kd-btn--secondary-destructive, .kd-btn--primary-app-destructive-outline,
  .kd-btn--primary-web-destructive-outline, .kd-btn--primary-app-destructive,
  .kd-btn--primary-web-destructive, .kd-btn--primary-app-outline,
  .kd-btn--primary-web-outline, .kd-btn--primary-web,
  .kd-btn--primary-app {
    font-size: var(--kd-font-size-body-2-xlg);
    line-height: var(--kd-line-height-body-2-xlg);
  }
}
@media (min-width: 99rem) {
  .kd-btn, .kd-btn--tertiary-destructive-outline, .kd-btn--tertiary-outline, .kd-btn--tertiary, .kd-btn--tertiary-destructive, .kd-btn--secondary-destructive-outline, .kd-btn--secondary-outline, .kd-btn--secondary, .kd-btn--secondary-destructive, .kd-btn--primary-app-destructive-outline,
  .kd-btn--primary-web-destructive-outline, .kd-btn--primary-app-destructive,
  .kd-btn--primary-web-destructive, .kd-btn--primary-app-outline,
  .kd-btn--primary-web-outline, .kd-btn--primary-web,
  .kd-btn--primary-app {
    font-size: var(--kd-font-size-body-2-max);
    line-height: var(--kd-line-height-body-2-max);
  }
}
.kd-btn.icon-only, .icon-only.kd-btn--tertiary-destructive-outline, .icon-only.kd-btn--tertiary-outline, .icon-only.kd-btn--tertiary, .icon-only.kd-btn--tertiary-destructive, .icon-only.kd-btn--secondary-destructive-outline, .icon-only.kd-btn--secondary-outline, .icon-only.kd-btn--secondary, .icon-only.kd-btn--secondary-destructive, .icon-only.kd-btn--primary-app-destructive-outline,
.icon-only.kd-btn--primary-web-destructive-outline, .icon-only.kd-btn--primary-app-destructive,
.icon-only.kd-btn--primary-web-destructive, .icon-only.kd-btn--primary-app-outline,
.icon-only.kd-btn--primary-web-outline, .icon-only.kd-btn--primary-web,
.icon-only.kd-btn--primary-app {
  min-width: initial;
}
.kd-btn.btn-float, .btn-float.kd-btn--tertiary-destructive-outline, .btn-float.kd-btn--tertiary-outline, .btn-float.kd-btn--tertiary, .btn-float.kd-btn--tertiary-destructive, .btn-float.kd-btn--secondary-destructive-outline, .btn-float.kd-btn--secondary-outline, .btn-float.kd-btn--secondary, .btn-float.kd-btn--secondary-destructive, .btn-float.kd-btn--primary-app-destructive-outline,
.btn-float.kd-btn--primary-web-destructive-outline, .btn-float.kd-btn--primary-app-destructive,
.btn-float.kd-btn--primary-web-destructive, .btn-float.kd-btn--primary-app-outline,
.btn-float.kd-btn--primary-web-outline, .btn-float.kd-btn--primary-web,
.btn-float.kd-btn--primary-app {
  box-shadow: var(--kd-elevation-level-3);
}
.kd-btn.btn-hidden, .btn-hidden.kd-btn--tertiary-destructive-outline, .btn-hidden.kd-btn--tertiary-outline, .btn-hidden.kd-btn--tertiary, .btn-hidden.kd-btn--tertiary-destructive, .btn-hidden.kd-btn--secondary-destructive-outline, .btn-hidden.kd-btn--secondary-outline, .btn-hidden.kd-btn--secondary, .btn-hidden.kd-btn--secondary-destructive, .btn-hidden.kd-btn--primary-app-destructive-outline,
.btn-hidden.kd-btn--primary-web-destructive-outline, .btn-hidden.kd-btn--primary-app-destructive,
.btn-hidden.kd-btn--primary-web-destructive, .btn-hidden.kd-btn--primary-app-outline,
.btn-hidden.kd-btn--primary-web-outline, .btn-hidden.kd-btn--primary-web,
.btn-hidden.kd-btn--primary-app {
  opacity: 0;
  visibility: hidden;
  transition: opacity 300ms ease-in-out, visibility 300ms ease-in-out;
}
.kd-btn--small {
  padding: 4px 16px;
  height: 32px;
}
.kd-btn--small.icon-only {
  width: 32px;
  padding: 6px;
}
.kd-btn--medium {
  padding: 12px 16px;
  height: 48px;
}
.kd-btn--medium.icon-only {
  width: 48px;
  padding: 14px;
}
.kd-btn--large {
  padding: 16px 16px;
  height: 56px;
}
.kd-btn--large.icon-only {
  width: 56px;
  padding: 18px;
}

span {
  display: flex;
  align-items: center;
  z-index: 1;
}

.kd-btn--primary-web,
.kd-btn--primary-app {
  background-color: var(--kd-color-background-button-primary-state-default);
  color: var(--kd-color-text-button-dark-primary);
  border: none;
  position: relative;
  overflow: hidden;
}
.kd-btn--primary-web:before,
.kd-btn--primary-app:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: var(--kd-color-background-button-primary-state-hover);
  transition: transform 300ms ease-out, opacity 200ms ease-out, background-color 150ms ease-in-out;
  transform: scaleX(0);
  transform-origin: left;
  opacity: 0;
}
.kd-btn--primary-web:hover:before,
.kd-btn--primary-app:hover:before {
  transform: scaleX(1);
  opacity: 1;
}
.kd-btn--primary-web:active,
.kd-btn--primary-app:active {
  border: none;
}
.kd-btn--primary-web:active:before,
.kd-btn--primary-app:active:before {
  background-color: var(--kd-color-background-button-primary-state-pressed);
}
.kd-btn--primary-web:focus,
.kd-btn--primary-app:focus {
  outline-color: var(--kd-color-background-button-primary-state-focused);
}
.kd-btn--primary-web:disabled,
.kd-btn--primary-app:disabled {
  color: var(--kd-color-text-link-level-disabled);
  border: none;
  cursor: not-allowed;
  pointer-events: none;
  background-color: var(--kd-color-background-ui-default-disabled);
}

.kd-btn--primary-web {
  background-color: var(--kd-color-background-button-web-default);
}
.kd-btn--primary-web:before {
  background-color: var(--kd-color-background-button-web-hover);
}
.kd-btn--primary-web:active:before {
  background-color: var(--kd-color-background-button-web-pressed);
}
.kd-btn--primary-web:focus {
  outline-color: var(--kd-color-border-variants-focus);
}

.kd-btn--primary-app-outline,
.kd-btn--primary-web-outline {
  background-color: transparent;
  color: var(--kd-color-text-button-light-primary);
  border: 1px solid var(--kd-color-border-button-primary-state-default);
}
.kd-btn--primary-app-outline:hover,
.kd-btn--primary-web-outline:hover {
  border-color: var(--kd-color-border-button-primary-state-hover);
}
.kd-btn--primary-app-outline:active:before,
.kd-btn--primary-web-outline:active:before {
  border-color: var(--kd-color-border-button-primary-state-pressed);
}
.kd-btn--primary-app-outline:focus,
.kd-btn--primary-web-outline:focus {
  border-width: 2px;
  border-color: var(--kd-color-border-button-primary-state-focused);
}
.kd-btn--primary-app-outline:disabled,
.kd-btn--primary-web-outline:disabled {
  background-color: transparent;
  color: var(--kd-color-text-link-level-disabled);
  border: 1px solid var(--kd-color-border-ui-disabled);
  cursor: not-allowed;
  pointer-events: none;
}

.kd-btn--primary-app-destructive,
.kd-btn--primary-web-destructive {
  background-color: var(--kd-color-background-button-primary-destructive-default);
  color: var(--kd-color-text-button-dark-destructive);
  border: none;
  position: relative;
  overflow: hidden;
}
.kd-btn--primary-app-destructive:before,
.kd-btn--primary-web-destructive:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: var(--kd-color-background-button-primary-destructive-hover);
  transition: transform 300ms ease-out, opacity 200ms ease-out, background-color 150ms ease-in-out;
  transform: scaleX(0);
  transform-origin: left;
  opacity: 0;
}
.kd-btn--primary-app-destructive:hover:before,
.kd-btn--primary-web-destructive:hover:before {
  transform: scaleX(1);
  opacity: 1;
}
.kd-btn--primary-app-destructive:active:before,
.kd-btn--primary-web-destructive:active:before {
  background-color: var(--kd-color-background-button-primary-destructive-pressed);
}
.kd-btn--primary-app-destructive:focus,
.kd-btn--primary-web-destructive:focus {
  outline-color: var(--kd-color-background-button-primary-destructive-focused);
}
.kd-btn--primary-app-destructive:disabled,
.kd-btn--primary-web-destructive:disabled {
  color: var(--kd-color-text-link-level-disabled);
  border: none;
  cursor: not-allowed;
  pointer-events: none;
  background-color: var(--kd-color-background-ui-default-disabled);
}

.kd-btn--primary-app-destructive-outline,
.kd-btn--primary-web-destructive-outline {
  background-color: transparent;
  color: var(--kd-color-text-button-light-destructive);
  border: 1px solid var(--kd-color-border-button-primary-destructive-default);
}
.kd-btn--primary-app-destructive-outline:hover,
.kd-btn--primary-web-destructive-outline:hover {
  border: 1px solid var(--kd-color-border-button-primary-destructive-hover);
}
.kd-btn--primary-app-destructive-outline:active:before,
.kd-btn--primary-web-destructive-outline:active:before {
  border-color: var(--kd-color-border-button-primary-destructive-pressed);
}
.kd-btn--primary-app-destructive-outline:focus,
.kd-btn--primary-web-destructive-outline:focus {
  outline-color: var(--kd-color-background-button-primary-destructive-focused);
}
.kd-btn--primary-app-destructive-outline:disabled,
.kd-btn--primary-web-destructive-outline:disabled {
  background-color: transparent;
  color: var(--kd-color-text-link-level-disabled);
  border: 1px solid var(--kd-color-border-ui-disabled);
  cursor: not-allowed;
  pointer-events: none;
  color: var(--kd-color-text-button-dark-destructive);
}

.kd-btn--secondary, .kd-btn--secondary-destructive {
  background-color: var(--kd-color-background-button-secondary-state-default);
  color: var(--kd-color-text-button-dark-primary);
  border: none;
}
.kd-btn--secondary:hover, .kd-btn--secondary-destructive:hover {
  background-color: var(--kd-color-background-button-secondary-state-hover);
}
.kd-btn--secondary:active, .kd-btn--secondary-destructive:active {
  background-color: var(--kd-color-background-button-secondary-state-pressed);
}
.kd-btn--secondary:focus, .kd-btn--secondary-destructive:focus {
  background-color: var(--kd-color-background-button-secondary-state-focused);
  outline-color: var(--kd-color-border-button-secondary-state-focused);
}
.kd-btn--secondary:disabled, .kd-btn--secondary-destructive:disabled {
  color: var(--kd-color-text-link-level-disabled);
  border: none;
  cursor: not-allowed;
  pointer-events: none;
  background-color: var(--kd-color-background-opacity-1);
}

.kd-btn--secondary-outline {
  background-color: transparent;
  color: var(--kd-color-text-button-light-secondary);
  border: 1px solid var(--kd-color-border-button-secondary-state-default);
}
.kd-btn--secondary-outline:hover {
  border-color: var(--kd-color-border-button-secondary-state-hover);
}
.kd-btn--secondary-outline:active {
  border-color: var(--kd-color-border-button-secondary-state-pressed);
}
.kd-btn--secondary-outline:focus {
  border-width: 2px;
  border-color: var(--kd-color-border-button-secondary-state-focused);
}
.kd-btn--secondary-outline:disabled {
  background-color: transparent;
  color: var(--kd-color-text-link-level-disabled);
  border: 1px solid var(--kd-color-border-ui-disabled);
  cursor: not-allowed;
  pointer-events: none;
}

.kd-btn--secondary-destructive {
  background-color: var(--kd-color-background-button-secondary-destructive-default);
  color: var(--kd-color-text-button-dark-destructive);
}
.kd-btn--secondary-destructive:hover {
  background-color: var(--kd-color-background-button-secondary-destructive-hover);
  color: var(--kd-color-text-button-dark-destructive);
}
.kd-btn--secondary-destructive:active {
  background-color: var(--kd-color-background-button-secondary-destructive-pressed);
  color: var(--kd-color-text-button-dark-destructive);
}
.kd-btn--secondary-destructive:focus {
  background-color: var(--kd-color-background-button-secondary-destructive-focused);
  color: var(--kd-color-text-button-dark-destructive);
  outline-color: var(--kd-color-border-button-primary-destructive-default);
}

.kd-btn--secondary-destructive-outline {
  background-color: transparent;
  color: var(--kd-color-text-button-light-destructive);
  border: 1px solid var(--kd-color-border-button-secondary-destructive-default);
}
.kd-btn--secondary-destructive-outline:hover {
  border-color: var(--kd-color-border-button-secondary-destructive-hover);
}
.kd-btn--secondary-destructive-outline:active {
  border-color: var(--kd-color-border-button-secondary-destructive-pressed);
}
.kd-btn--secondary-destructive-outline:focus {
  border-color: var(--kd-color-border-button-secondary-destructive-focused);
  outline-color: var(--kd-color-border-button-primary-destructive-default);
}
.kd-btn--secondary-destructive-outline:disabled {
  background-color: transparent;
  color: var(--kd-color-text-link-level-disabled);
  border: 1px solid var(--kd-color-border-ui-disabled);
  cursor: not-allowed;
  pointer-events: none;
  color: var(--kd-color-text-button-dark-destructive);
}

.kd-btn--tertiary, .kd-btn--tertiary-destructive {
  background-color: var(--kd-color-background-button-tertiary-state-default);
  color: var(--kd-color-text-button-light-primary);
  border: none;
  min-width: initial;
}
.kd-btn--tertiary:hover, .kd-btn--tertiary-destructive:hover {
  background-color: var(--kd-color-background-button-tertiary-state-hover);
  color: var(--kd-color-text-button-dark-primary);
}
.kd-btn--tertiary:active, .kd-btn--tertiary-destructive:active {
  background-color: var(--kd-color-background-button-tertiary-state-pressed);
  color: var(--kd-color-text-button-dark-primary);
}
.kd-btn--tertiary:focus, .kd-btn--tertiary-destructive:focus {
  background-color: var(--kd-color-background-button-tertiary-state-focused);
  outline-color: var(--kd-color-border-button-tertiary-state-focused);
}
.kd-btn--tertiary:disabled, .kd-btn--tertiary-destructive:disabled {
  color: var(--kd-color-text-link-level-disabled);
  border: none;
  cursor: not-allowed;
  pointer-events: none;
  background-color: transparent;
}

.kd-btn--tertiary-outline {
  background-color: transparent;
  color: var(--kd-color-text-button-light-tertiary);
  border: 1px solid var(--kd-color-border-button-tertiary-state-default);
}
.kd-btn--tertiary-outline:hover {
  border-color: var(--kd-color-border-button-tertiary-state-hover);
}
.kd-btn--tertiary-outline:active {
  border-color: var(--kd-color-border-button-tertiary-state-pressed);
}
.kd-btn--tertiary-outline:focus {
  border-width: 2px;
  border-color: var(--kd-color-border-button-tertiary-state-focused);
}
.kd-btn--tertiary-outline:disabled {
  background-color: transparent;
  color: var(--kd-color-text-link-level-disabled);
  border: 1px solid var(--kd-color-border-ui-disabled);
  cursor: not-allowed;
  pointer-events: none;
}

.kd-btn--tertiary-destructive {
  background-color: var(--kd-color-background-button-tertiary-destructive-default);
  color: var(--kd-color-text-button-light-destructive);
}
.kd-btn--tertiary-destructive:hover {
  background-color: var(--kd-color-background-button-tertiary-destructive-hover);
}
.kd-btn--tertiary-destructive:active {
  background-color: var(--kd-color-background-button-tertiary-destructive-pressed);
  color: var(--kd-color-text-button-dark-destructive);
}
.kd-btn--tertiary-destructive:focus {
  background-color: var(--kd-color-background-button-tertiary-destructive-focused);
  color: var(--kd-color-text-button-dark-destructive);
  outline-color: var(--kd-color-border-button-primary-destructive-default);
}
.kd-btn--tertiary-destructive:disabled {
  color: var(--kd-color-text-link-level-disabled);
  border: none;
  cursor: not-allowed;
  pointer-events: none;
  background-color: transparent;
}

.kd-btn--tertiary-destructive-outline {
  background-color: transparent;
  color: var(--kd-color-text-button-light-destructive);
  border: 1px solid var(--kd-color-border-button-tertiary-destructive-default);
}
.kd-btn--tertiary-destructive-outline:hover {
  border-color: var(--kd-color-border-button-tertiary-destructive-hover);
}
.kd-btn--tertiary-destructive-outline:active {
  border-color: var(--kd-color-border-button-tertiary-destructive-pressed);
}
.kd-btn--tertiary-destructive-outline:focus {
  border-color: var(--kd-color-border-button-tertiary-destructive-focused);
  outline-color: var(--kd-color-border-button-primary-destructive-focused);
}
.kd-btn--tertiary-destructive-outline:disabled {
  background-color: transparent;
  color: var(--kd-color-text-link-level-disabled);
  border: 1px solid var(--kd-color-border-ui-disabled);
  cursor: not-allowed;
  pointer-events: none;
  border: none;
}

.kd-btn--icon-left span {
  flex-direction: row-reverse;
}
.kd-btn--icon-left span slot[name=icon]::slotted(*) {
  margin-right: 8px;
}
.kd-btn--icon-right slot[name=icon]::slotted(*) {
  margin-left: 8px;
}
.kd-btn--icon-align slot[name=icon]::slotted(*) {
  display: flex;
}

.hidden {
  display: none; /* Class to hide elements */
}`;export{t as default};
//# sourceMappingURL=button.scss.js.map
